org.keycloak.dom.saml.v2.protocol

## Class ResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v2.protocol.StatusResponseType
    - - org.keycloak.dom.saml.v2.protocol.ResponseType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class ResponseType
      extends StatusResponseType

  Java class for ResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Assertion"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAssertion"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResponseType.RTChoiceType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ResponseType.RTChoiceType>` | `assertions`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `consent, destination, extensions, id, issueInstant, issuer, status, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `inResponseTo, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseType(StatusResponseType srt)`
    `ResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertion(ResponseType.RTChoiceType choice)` Add an assertion
    `List<ResponseType.RTChoiceType>` | `getAssertions()` Gets a read only list of assertions
    `void` | `removeAssertion(ResponseType.RTChoiceType choice)` Remove an assertion
    `void` | `replaceAssertion(String id, ResponseType.RTChoiceType newAssertion)` Replace the first assertion with the passed assertion

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `getConsent, getDestination, getExtensions, getIssuer, getStatus, getVersion, setConsent, setDestination, setExtensions, setIssuer, setStatus`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assertions

          protected List<ResponseType.RTChoiceType> assertions

  - ### Constructor Detail

    - #### ResponseType

          public ResponseType(String id,
                              XMLGregorianCalendar issueInstant)

    - #### ResponseType

          public ResponseType(StatusResponseType srt)

  - ### Method Detail

    - #### addAssertion

          public void addAssertion(ResponseType.RTChoiceType choice)

      Add an assertion
      Parameters:
        `choice` -

    - #### removeAssertion

          public void removeAssertion(ResponseType.RTChoiceType choice)

      Remove an assertion
      Parameters:
        `choice` -

    - #### replaceAssertion

          public void replaceAssertion(String id,
                                       ResponseType.RTChoiceType newAssertion)

      Replace the first assertion with the passed assertion
      Parameters:
        `id` - id of the old assertion
        `newAssertion` -

    - #### getAssertions

          public List<ResponseType.RTChoiceType> getAssertions()

      Gets a read only list of assertions

Copyright © 2020 JBoss by Red Hat. All rights reserved.